Subject: Re: bug#12036: 24.1.50; xvectype and xpr broken by change in PVEC_TYPE_MASK when macro information not available

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Jul 2012 11:46:08 -0700

Thanks, I didn't run into those problems since I tested
by debugging when the symbols happened to be in scope.

I reproduced some of the problems and installed a fix as
trunk bzr 109219.

However, there's one thing I couldn't reproduce:

On 07/26/2012 11:03 AM, Eli Zaretskii wrote:
>   Breakpoint 3, decode_any_window (window=54888269) at window.c:149
>   149       if (NILP (window))
>   (gdb) n
>   152       CHECK_WINDOW (window);
>   (gdb) p window
>   $1 = 54888269
>   (gdb) xtype
>   Lisp_Vectorlike
>   No enum type named pvec_type.

I expect that I don't have this problem because the bug has been fixed
in my tools (GCC 4.7.1 + GDB 7.4.1).  I tried to work around the problem
by putting this line into lisp.h:

PUBLISH_TO_GDB ((enum pvec_type) 0);  /* This also publishes PVEC_*.  */

but I can't easily test this, since my tools don't have the problem.
Could you please try it?  And if it doesn't work, could you
please try adding lines like this:

PUBLISH_TO_GDB (PVEC_TYPE_MASK);

for values like PVEC_TYPE_MASK that do not otherwise work for you?
Thanks.